---
name: Bug report
about: Create a report to help us improve

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the issue, including any relevant code in the form of a representative [Short, Self Contained, Correct (Compilable), Example](http://sscce.org/), and sample input.

**Expected behavior vs. actual behavior**
A clear and concise description of what you expected to happen, and what actually happened instead. Include expected output for the sample input given above, and the actual output you're getting including exact copies of any error messages.

**Versions**
 - Device: [desktop or mobile; specify model]
 - OS: [e.g. Ubuntu Linux 16.04, Windows 10, etc.]
 - Browser and version: [e.g. Firefox 61, Chrome 68, etc.]
 - WebPerl: [e.g. v0.01-beta]

If building:
 - Perl: [e.g. v5.26.2]
 - Emscripten: [e.g. 1.38.10]
 - Any other versions that may be relevant, such as compiler, libraries, etc.

**Additional context**
Add any other context about the problem here. If applicable, add screenshots to help explain your problem.
